light-mode-image
Learn
Credential configurationAPI Reference

mDocs Credentials

Create an mDocs Credential configuration

POST/v2/credentials/mobile/configurations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The mDocs configuration payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/credentials/mobile/configurations" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "branding": {    "name": "string",    "description": "string",    "backgroundColor": "string",    "watermarkImage": "string",    "issuerLogo": "string",    "issuerIcon": "string"  },  "includeStatus": false,  "type": "string",  "claimMappings": {    "additionalProperties": {      "additionalProperties": {        "mapFrom": "string",        "type": "boolean",        "required": false,        "defaultValue": "string",        "display": [          {            "name": "string",            "locale": "string"          }        ]      }    }  },  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",  "expiresIn": {    "years": 0,    "months": 0,    "weeks": 0,    "days": 0,    "hours": 0,    "minutes": 0,    "seconds": 0  },  "validFrom": {    "mapFrom": "string"  },  "validUntil": {    "mapFrom": "string"  }}

Retrieve all mDocs Credential configurations

GET/v2/credentials/mobile/configurations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

type?string

Optional credential type to filter on

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/credentials/mobile/configurations"
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "branding": {        "name": "string",        "description": "string",        "backgroundColor": "string",        "watermarkImage": "string",        "issuerLogo": "string",        "issuerIcon": "string"      },      "includeStatus": false,      "type": "string",      "claimMappings": {        "additionalProperties": {          "additionalProperties": {            "mapFrom": "string",            "type": "boolean",            "required": false,            "defaultValue": "string",            "display": [              {                "name": "string",                "locale": "string"              }            ]          }        }      },      "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",      "expiresIn": {        "years": 0,        "months": 0,        "weeks": 0,        "days": 0,        "hours": 0,        "minutes": 0,        "seconds": 0      },      "validFrom": {        "mapFrom": "string"      },      "validUntil": {        "mapFrom": "string"      }    }  ]}

Retrieve an mDocs Credential configuration

GET/v2/credentials/mobile/configurations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

mDocs configuration ID

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/credentials/mobile/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "branding": {    "name": "string",    "description": "string",    "backgroundColor": "string",    "watermarkImage": "string",    "issuerLogo": "string",    "issuerIcon": "string"  },  "includeStatus": false,  "type": "string",  "claimMappings": {    "additionalProperties": {      "additionalProperties": {        "mapFrom": "string",        "type": "boolean",        "required": false,        "defaultValue": "string",        "display": [          {            "name": "string",            "locale": "string"          }        ]      }    }  },  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",  "expiresIn": {    "years": 0,    "months": 0,    "weeks": 0,    "days": 0,    "hours": 0,    "minutes": 0,    "seconds": 0  },  "validFrom": {    "mapFrom": "string"  },  "validUntil": {    "mapFrom": "string"  }}

Update an mDocs Credential configuration

PUT/v2/credentials/mobile/configurations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

mDocs configuration ID

Formatuuid

Request Body

application/json

Update an mDocs configuration

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/credentials/mobile/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "branding": {    "name": "string",    "description": "string",    "backgroundColor": "string",    "watermarkImage": "string",    "issuerLogo": "string",    "issuerIcon": "string"  },  "includeStatus": false,  "type": "string",  "claimMappings": {    "additionalProperties": {      "additionalProperties": {        "mapFrom": "string",        "type": "boolean",        "required": false,        "defaultValue": "string",        "display": [          {            "name": "string",            "locale": "string"          }        ]      }    }  },  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",  "expiresIn": {    "years": 0,    "months": 0,    "weeks": 0,    "days": 0,    "hours": 0,    "minutes": 0,    "seconds": 0  },  "validFrom": {    "mapFrom": "string"  },  "validUntil": {    "mapFrom": "string"  }}

Delete an mDocs Credential configuration

DELETE/v2/credentials/mobile/configurations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

mDocs configuration ID

Formatuuid

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v2/credentials/mobile/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

How would you rate this page?

Last updated on

On this page